Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453982 - 'keep_old_ip' in dhclient-script no longer effective.
Summary: 'keep_old_ip' in dhclient-script no longer effective.
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dhcp
Version: 9
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 471127
TreeView+ depends on / blocked
 
Reported: 2008-07-03 16:40 UTC by Jarrod Johnson
Modified: 2008-12-07 04:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-07 04:16:13 UTC


Attachments (Terms of Use)

Description Jarrod Johnson 2008-07-03 16:40:38 UTC
Description of problem:
At least in Fedora8, dhcp had a 'dhcp-3.0.5-inherit-leases.patch', to avoid
unnecessarily deconfiguring a network interface if it has an existing lease that
may be valid.  This enabled things like iSCSI root and nfs root to have a dhcp
interface, and not be botched by the network startup script.

In Fedora9, this patch has no equivalent, and as such dhclient startup always
deconfigures the network interface, even if that interface is required to access
the root filesystem.  NFS root and iSCSI root are precluded by this function.

Version-Release number of selected component (if applicable):
4.0.0-14

How reproducible:
Always

Steps to Reproduce:
1.Have a lease in /var/lib/dhclient
2.set -x in dhclient-script
3.Note how 'keep_old_ip' is never yes in fedora9, but it is in fedora8 at the
right times
  
Actual results:
Network is deconfigured, and nfs root systems hang

Expected results:
dhclient does not interrupt boot process even for nfs root or iscsi root

Additional info:

Comment 1 David Cantrell 2008-08-01 20:55:54 UTC
Not sure how I lost that patch when I moved to dhcp-4.0.0, but I've ported it to 4.0.0.  I'll be releasing an 
update for F-9 that addresses this issue.

Thanks for the report.

Comment 2 Fedora Update System 2008-08-01 22:44:37 UTC
dhcp-4.0.0-17.fc9 has been submitted as an update for Fedora 9

Comment 3 Fedora Update System 2008-08-07 23:58:07 UTC
dhcp-4.0.0-17.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dhcp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7105

Comment 4 Fedora Update System 2008-09-16 23:21:53 UTC
dhcp-4.0.0-17.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Ed Swierk 2008-11-11 05:08:50 UTC
The patch dhcp-4.0.0-inherit-leases.patch in dhclient-4.0.0-18.fc9 no worky:

  client -> active -> is_bootp

should be

  !client -> active -> is_bootp

and

  memcpy (client -> active -> address.iabuf, &(client -> interface -> addresses[i]), 4) == 0

should be

  memcmp (client -> active -> address.iabuf, &(client -> interface -> addresses[i]), 4) == 0

Thank you for your attention.

Comment 6 David Cantrell 2008-11-11 07:38:39 UTC
Reopening per comment #5.

Comment 7 Fedora Update System 2008-11-11 22:03:37 UTC
dhcp-4.0.0-22.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/dhcp-4.0.0-22.fc9

Comment 8 Fedora Update System 2008-11-13 03:35:20 UTC
dhcp-4.0.0-22.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dhcp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9615

Comment 9 Fedora Update System 2008-12-07 04:16:02 UTC
dhcp-4.0.0-22.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.